<?php


$image_error="0";
//define a maxim size for the uploaded images in Kb

//This function reads the extension of the file. It is used to determine if the
// file  is an image by checking the extension.
 function getExtension($str) {
         $i = strrpos($str,".");
         if (!$i) { return ""; }
         $l = strlen($str) - $i;
         $ext = substr($str,$i+1,$l);
         return $ext;
 }

//This variable is used as a flag. The value is initialized with 0 (meaning no 
// error  found)  
//and it will be changed to 1 if an errro occures.  
//If the error occures the file will not be uploaded.
 $errors=0;
//checks if the form has been submitted

 	//reads the name of the file the user submitted for uploading
 	$image=$_FILES['image']['name'];
 	//if it is not empty
 	if ($image) 
 	{
 	//get the original name of the file from the clients machine
 		$filename = stripslashes($_FILES['image']['name']);
 	//get the extension of the file in a lower case format
  		$extension = getExtension($filename);
 		$extension = strtolower($extension);
		$extensionx=$extension;
 	//if it is not a known extension, we will suppose it is an error and 
        // will not  upload the file,  
	//otherwise we will do more tests
 if (($extension != "jpg") && ($extension != "jpeg") && ($extension !=
 "png") ) 
 		{
		//print error message
 			echo '<div class=false> (jpg , gif ,png) الموقع يسمح بامتدادت الصورة الاتية </div>';
 			$image_error="1";
 			$errors=1;
 			
 		}
 		else
 		{
//get the size of the image in bytes
 //$_FILES['image']['tmp_name'] is the temporary filename of the file
 //in which the uploaded file was stored on the server
 $size=filesize($_FILES['image']['tmp_name']);

//compare the size with the maxim size we defined and print error if bigger

/*
list($width, $height, $type, $attr) = getimagesize($_FILES['image']['tmp_name']);

if ($size > MAX_SIZE*1024)
{
	echo '<div class=false> حجم الصورة كبير جدا .. قم بضغطها او تصغيرها</div>';
	$image_error="1";
	$errors=1;
	
}

if ($errors==1){
	
goto false;	
}
*/


//the new name will be containing the full path where will be stored (images 
//folder)

$img_id=uniqid();
$newname=$src.'img_'.$img_id.".".$extension;
//echo  $newname;
//we verify if the image has been uploaded, and print error instead
$copied = copy($_FILES['image']['tmp_name'], $newname);
if (!$copied) 
{
false:
echo '<div class=false>لم يتم رفع الصورة</div>';
$image_error="1";
}else{

echo "<div class='true'>تم رفع الصورة</div>";	

}
}}
?>